Image 01
profile-image

accolon

accolon Dominik Haumann
Dolphin Service Menus
Text Editors
test
Kate Clang Complete

Text Editors 1 comment

Score 50.0%
Oct 30 2013
Hi Huang, this is a really really good plugin. Would be cool if you work on this for KDE 4, since KDE 3 is pretty much outdated these days. - Nov 16 2013
Kate Tab Bar Extension

Text Editors 31 comments

Score 50.0%
Dec 02 2005
no. - Oct 10 2008
Yes, it is the default and already released with KDE 4.0. There were already some fixes which went into KDE 4.0.x. - Feb 22 2008
That's a known issue but has nothing to do with the tabbar extension. - Feb 22 2008
> 1. The Tab Bar Extension that was originally installed with Kate had a down arrow on the right-hand side that would expand and show all documents that were open. This was a nice feature because you could go directly to a file.

True, that's a nice wish.

> 2. This Tab Bar Extension does not seem to remember configuration settings. I changed the Tab Location from Bottom to Top, Sort By Document Name, Min Button Width, Button Style, and Tab Highlighting. When I stop Kate and restart, these changes are lost.

That works at least in KDE4 and there was a time where it also worked in KDE3. I don't know whether I'll find the time to look into the KDE3-version ever again. Let's see. - Feb 22 2008
Yes, invoke the tab bar's config dialog by clicking the small configure icon in the tabbar itself. - Oct 28 2006
makes sense, I modified the code accordingly for kde4. - Oct 27 2006
> Suggestions:
> 1) use QString::localeAwareCompare()

maybe you are right here. I have to check again whether it still behaves as I want it to behave :)

> 2) In the above "bool operator< (...)", in case of KTinyTabBar::Extension, if both aExt==bExt and aFile==bFile, return a.buttonID() < b.buttonID().

then it sorts by using the opening order. I prefer the way it is right now, or did I miss something? :)

> 3) User QPtrList instead of QSortedList and get rid of the ugly "global_sortType".

It's ugly, right :) I will have a look for kde4. - Oct 25 2006
It is thought as replacement. I did not manage to finish it in time for inclusion in KDE 3.5, so I posted it here. If you use the plugin in kdeaddons, you definitely should install this tabbar to overwrite the current one. - Apr 03 2006
fixed in version 0.6. - Dec 02 2005
That is true. I will fix it in version 0.6, which will be released after KDE 3.5 is officially out. - Nov 09 2005
As I stated above, you need KDE 3.5! KDE 3.5 isn't even released yet, only beta versions. - Oct 17 2005
Kate Symbol Viewer Plugin

Developers Apps 50 comments

Score 50.0%
Mar 16 2008
you need KDE 3.5. There is no other way around it but fixing the code for KDE < 3.5. - Feb 19 2007
Syntax highlighting for Qt

Kate 12 comments

Score 50.0%
Jan 06 2010
Make sure you restart the Kate application. - Jan 15 2007
Kate CTags Plugin

Text Editors 16 comments

Score 50.0%
Feb 09 2007
The 'undefined references' are caused by missing KDE_EXPORT macros in the Kate application interfaces. Fixed for KDE 3.5.6. You can also apply the patch [1] in kdebase/kate/interfaces and recompile Kate.

[1] http://www.gmdsoft.de/haumann/kde/kate-interface-exports.diff - Oct 26 2006
Kate Project Manager Plugin (KPMP)

Text Editors 40 comments

Score 50.0%
Aug 19 2006
Kate is not really a IDE. You can implement such features by using tools like ctags, though. Would be a nice candidate for a plugin. Do you volunteer? ;) - Jul 21 2006
As far as I know the next version will
- support old kate project files
- be able to import several files
- add directory trees recursively.

I'm not sure, though :) - Jul 20 2006
We are aware that removing the projects plugin was a bad idea. But we did it, that's it.
If this project manager plugin (kpmp) is ported to qt/kde4 I'm sure it can go into the official KDE release again. - Jul 17 2006
> [...] it is still much better then current session manager in Kate.

Please do not mix two very different concepts. Sessions are completely unrelated to projects. They have different purposes. Keep that in mind :) - Jul 17 2006
Kate

Text Editors 43 comments

Score 72.2%
Jul 20 2006
You could write a auto completion plugin for python. - Jul 21 2006
kedit_tabs

Various KDE 1.-4. Improvements 18 comments

Score 50.0%
Jul 27 2005
Kate does have a plugin called tabbarextension in the kdeaddons package, you just have to enable it.
For KDE 4 the plugin will be very much improoved (eg. fulfill everyone's needs). - Jul 24 2005
> IMHO, kedit should be burned.
KEdit supports bidi, kate/kwrite do not. When kate/kwrite support bidi kedit will vanish. - Jul 24 2005